<?php
// Author: Patrick Bose
// Copyright 2001, Cobalt Networks.  All rights reserved.
// $Id: onepageHandler.php,v 1.1 2001/03/16 02:14:43 pbose Exp $
//
// the onepage handler... trying to maintain similarities to
// the individual handlers used on qube for ease of maintenance...

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

/////////// handle network settings

$soid = $cceClient->find("System");

$cceClient->set($soid, "", array("hostname" => $hostNameField, "domainname" => $domainNameField, "dns" => $dnsAddressesField));
$errors = $cceClient->errors();

$internetField = "lan";

// explicitly turn off everything to be consistent with the admin
// site, just in case someone sets up their internet connection and 
// changes their mind
if ($internetField == "none") {
	$cceClient->set($soid, "Modem", array("connMode" => "off"));
	$cceClient->set($soid, "Pppoe", array("connMode" => "off"));
	$cceClient->set($soid, "", array("gateway" => ""));
	$cceClient->setObject("Network", array("enabled" => 0), "", 
				array("device" => "eth1"));
}

$cceClient->set($soid, "Network",
	array(
	"internetMode" => $internetField,
	# hack NAT here:
	"nat" => "2",
	"ipForwarding" => "2",
));
$errors = array_merge($errors, $cceClient->errors());

//////////// handle admin settings

$cceClient->setObject("User", array("password" => $passwordField), "", array("name" => "admin"));
$errors = array_merge($errors, $cceClient->errors());

if ( isInArrayString("alteradminEnabled", $alteradminField) ) {
	$oids = $cceClient->find("User", array("name" => "alteradmin"));
	if ( count($oids) == 0) {
		$cceClient->create("User", array("name" => "alteradmin", "password" => $alteradminPassword));
	} else {
		$cceClient->set($oids[0], "", array("password" => $alteradminPassword));
	}
}

$errors = array_merge($errors, $cceClient->errors());

///////////// handle locale settings

$attributes = array("localePreference" => $languageField);

// Be bullish and set admin's preferred locale to the selected
$cceClient->setObject("User", $attributes, "", array("name" => "admin"));
$errors = array_merge($errors, $cceClient->errors());

if ( isInArrayString("alteradminEnabled", $alteradminField) ) {
	$cceClient->setObject("User", $attributes, "", array("name" => "alteradmin"));
	$errors = array_merge($errors, $cceClient->errors());
}

// set system fall-back language
$cceClient->set($soid, "", array("productLanguage" => $languageField));
$errors = array_merge($errors, $cceClient->errors());

///////////// handle time settings

if ($timeZoneField != $oldTimeZone) {
	$timeZone = $timeZoneField;
	putenv("TZ=$timeZone");
}

if (preg_match('/(\d+):(\d+):(\d+):(\d+):(\d+):(\d+)/', $dateField, $matches)) {
	$date = mktime($matches[4], $matches[5], $matches[6], $matches[2], 
		       $matches[3], $matches[1]);
}
if ($date and ($date != $oldTime))
	$time = $date;

$serverScriptHelper->shell("/usr/sausalito/sbin/setTime \"$time\" \"$timeZone\" \"$ntpAddress\" \"true\"", $output);

print($serverScriptHelper->toHandlerHtml("", $errors));
print $output;

$serverScriptHelper->destructor();
?>
