<?php
// Author: Patrick Bose
// Copyright 2001, Cobalt Networks.  All rights reserved.
// $Id: raid.php,v 1.1 2001/03/16 02:14:43 pbose Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

$factory = $serverScriptHelper->getHtmlComponentFactory("base-wizard", "/base/wizard/raidHandler.php");
$i18n = $serverScriptHelper->getI18n("base-wizard");

// get settings
$raid = $cceClient->getObject("System", array(), "RAID");
$page = $factory->getPage();
$form = $page->getForm();
$formId = $form->getId();

if ( $raid["level"] >= 0 ) {
	print($page->toHeaderHtml());
	print($i18n->getHtml("raidAlreadyConfigured")); 
	print($page->toFooterHtml());
	$serverScriptHelper->destructor();
	return;
} 

$block = $factory->getPagedBlock("raidSettings");

$raidOptions = $factory->getMultiChoice("raidChoice");
$raidOptions->addOption($factory->getOption("raid0", false));
if ( $raid["disks"] == 2 )
	$raidOptions->addOption($factory->getOption("raid1", true));
if ( $raid["disks"] >= 3 )
	$raidOptions->addOption($factory->getOption("raid5", true));
$raidOptions->setFullSize(true);
$block->addFormField(
  $raidOptions,
  $factory->getLabel("raidOption")
);

$serverScriptHelper->destructor();
print($page->toHeaderHtml());
print($i18n->getHtml("raidMessage", "", array("numdisk" => $raid["disks"]))); ?>
<BR><BR>
<?php print($block->toHtml()); ?>
<INPUT TYPE="HIDDEN" NAME="confirmation" VALUE="">
<SCRIPT LANGUAGE="javascript">

function confirmRaidChoice(element) {
	if ( document.form.raidChoice[0].value == "raid0" && 
             document.form.raidChoice[0].checked == "1" &&
             confirm("<?php print($i18n->getJs("confirmRaid0", "base-raid")) ?>"))
		return true;
	if ( document.form.raidChoice[1].value == "raid1" && 
             document.form.raidChoice[1].checked == "1" &&
             confirm("<?php print($i18n->getJs("confirmRaid1", "base-raid")) ?>"))
		return true;
	if ( document.form.raidChoice[1].value == "raid5" && 
             document.form.raidChoice[1].checked == "1" &&
             confirm("<?php print($i18n->getJs("confirmRaid5", "base-raid")) ?>"))
		return true;
	return false;
}

var element = document.form.confirmation;
element.childFields = new Array();
element.submitHandler = confirmRaidChoice;
</SCRIPT>
<?php print($page->toFooterHtml()); ?>
